Search processing.org:

Reference for Processing version 1.0+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Capture

Name

### read()

Examples

    import processing.video.*;
    Capture myCapture;

    void setup() {
      size(200, 200);
      String s = "Logitech QuickCam Messenger-WDM";
      myCapture = new Capture(this, s, width, height, 30);
    }

    void draw() {
      if(myCapture.available()) {
        // Reads the new frame
        myCapture.read();
      }
      image(myCapture, 0, 0);
    }

Description | Reads the current video frame.

Syntax

    cam.read()

Parameters

cam | any variable of type Capture

Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST